Content & StorefrontSite Settings
Get site settings
Returns the CMS settings on their own. Prefer the full store settings snapshot unless you only need this slice.
GET
/v1/site-settingsReturns the CMS settings on their own. Prefer the full store settings snapshot unless you only need this slice.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/site-settings" \ -H "x-Store-Domain: my-store"{ "themeKey": "example", "branding": { "logoUrl": "https://example.com/resource", "logoDarkUrl": "https://example.com/resource", "faviconUrl": "https://example.com/resource", "socialImageUrl": "https://example.com/resource" }, "seo": { "siteName": "Example resource", "metaTitle": "Example title", "metaDescription": "Example description.", "titleTemplate": "example", "robotsIndex": false }, "contact": { "supportEmail": "andrea@example.com", "phone": "+51987654321", "whatsapp": "example", "address": "example", "socialLinks": { "instagram": "example", "facebook": "example", "tiktok": "example", "youtube": "example", "x": "example" } }, "tracking": { "googleAnalyticsMeasurementId": "7204558912004325301", "metaPixelId": "7204558912004325301", "googleTagManagerContainerId": "7204558912004325301" }, "customScripts": { "enabled": false, "head": "example", "bodyEnd": "example" }, "updatedOn": "2026-08-01T15:30:00Z"}